Bug 1577163 - gfapi: broken symbol versions
Summary: gfapi: broken symbol versions
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: libgfapi
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact: bugs@gluster.org
URL:
Whiteboard:
Depends On: 1575716 1577162
Blocks: 1577164
TreeView+ depends on / blocked
 
Reported: 2018-05-11 11:18 UTC by Kaleb KEITHLEY
Modified: 2018-06-20 18:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1577162
: 1577164 (view as bug list)
Environment:
Last Closed: 2018-06-20 18:25:57 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Kaleb KEITHLEY 2018-05-11 11:18:53 UTC
+++ This bug was initially created as a clone of Bug #1577162 +++

+++ This bug was initially created as a clone of Bug #1575716 +++

Description of problem:

glfs_upcall_register(), glfs_upcall_unregister(), and glfs_h_poll_upcall did not follow the guidelines, broke build on FreeBSD 11, potential obscure bugs on Linux.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Worker Ant on 2018-05-07 14:58:47 EDT ---

REVIEW: https://review.gluster.org/19974 (gfapi: various broken symbol versions) posted (#1) for review on master by Kaleb KEITHLEY

--- Additional comment from Worker Ant on 2018-05-10 17:43:41 EDT ---

COMMIT: https://review.gluster.org/19974 committed in master by "Kaleb KEITHLEY" <kkeithle@redhat.com> with a commit message- gfapi: various broken symbol versions

lots of breakage in symbol versions:
  symbols added in 4.1 incorrectly, and
  symbols added in 4.1 but labeled 4.0.0, and
  symbols added in 3.13 incorrectly

Not noticed until someone tried to build 3.13.2 on FreeBSD 11.1,
despite the fact that we build on FreeBSD 10.3 IIRC, somehow the
3.13 errors aren't a build error there.

Note: in rereading the Ulrich Drepper write-up I noticed that when
a symbol version is changed, you are supposed to leave the old
symbol in its original section in addition to adding it to its new
section. Adding back those symbols to their original sections.

Reported-by: Roman Serbski <mefystofel@gmail.com>

Change-Id: I9a883546d08e0847f7228d8ea5943bc54275b319
fixes: bz#1575716
Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>

Comment 1 Worker Ant 2018-05-11 12:33:23 UTC
REVIEW: https://review.gluster.org/20008 (gfapi: various broken symbol versions) posted (#1) for review on release-4.0 by Kaleb KEITHLEY

Comment 2 Worker Ant 2018-05-11 15:32:27 UTC
REVIEW: https://review.gluster.org/20008 (gfapi: various broken symbol versions) posted (#2) for review on release-4.0 by Kaleb KEITHLEY

Comment 3 Shyamsundar 2018-06-20 18:25:57 UTC
This bug reported is against a version of Gluster that is no longer maintained (or has been EOL'd). See https://www.gluster.org/release-schedule/ for the versions currently maintained.

As a result this bug is being closed.

If the bug persists on a maintained version of gluster or against the mainline gluster repository, request that it be reopened and the Version field be marked appropriately.


Note You need to log in before you can comment on or make changes to this bug.